<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGatekeeperReq StructType
 * @subpackage Structs
 */
class AddGatekeeperReq extends APIRequest
{
    /**
     * The gatekeeper
     * @var XGatekeeper
     */
    public $gatekeeper;
    /**
     * Constructor method for AddGatekeeperReq
     * @uses AddGatekeeperReq::setGatekeeper()
     * @param XGatekeeper $gatekeeper
     */
    public function __construct(XGatekeeper $gatekeeper = null)
    {
        $this
            ->setGatekeeper($gatekeeper);
    }
    /**
     * Get gatekeeper value
     * @return XGatekeeper|null
     */
    public function getGatekeeper()
    {
        return $this->gatekeeper;
    }
    /**
     * Set gatekeeper value
     * @param XGatekeeper $gatekeeper
     * @return AddGatekeeperReq
     */
    public function setGatekeeper(XGatekeeper $gatekeeper = null)
    {
        $this->gatekeeper = $gatekeeper;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGatekeeperReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
